### Method

# FwupdPlugin Progress set_id

since: 1.7.0

#### Declaration [src]

    void
    fu_progress_set_id (
      FuProgress* self,
      const gchar* id
    )

#### Description [src]

Sets the id of the progress.

Available since: 1.7.0

#### Parameters

`id`

  Type: `const gchar*`

  Progress ID, normally `G_STRLOC`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.